// CRx17    jcv 29-Jun-09 Original new duproc design 

#include <iostream>
#include <utility>
#include <iterator>
#include <set>
#include <fstream>

#include "errstr.h"
#include "param.h"

//#include "ProcessorList.h"
#include "DataDefinition.h"
#include "TMFrameStream.h"
#include "DUInspector.h"
#include "Utils.h"


DUinspector::DUinspector() {

  // ???

}

DUinspector::~DUinspector() {

  // ???

}


void DUinspector::ProcessData(RawTM::XMCS::DataUnit * DU,unsigned char *rawdata) {

   // rawdata not really used

  errstr << "Header is " << hex 
         << rawdata[0] << dec << Sas::message(Msg::App, Msg::Noisy);

  // Send DU to the corresponding DU-type processors
  for(unsigned int i = 0; i < Listeners[(DUProcessor::type)DU->Type].getMap().size(); i++) {
  DUProcessor *p = (DUProcessor *)Listeners[(DUProcessor::type)DU->Type].getMap()[i];
  p->extractData(DU);
  }         

  // Another alternative, works very slowly

  // For DU type 1 (TM) call the TMFrameStream
  //if (DU->Type  == 1) {
  //errstr << "Calling the TM processor " 
  //           << Sas::message(Msg::App, Msg::Noisy);
  // Another alternative, works very slowly
  //TMFrameStream myTMFrameStream;
  //myTMFrameStream->extractData(DU);
  //}
  // For DU type 2 (reserved) call
  // For DU type 3 (TCH) call
  // etc...

}
