// CRx17  jcv 29-Jun-09 Original new duproc design 

#ifndef DUSTREAM_H
#define DUSTREAM_H

#include <string>
#include <utility>

#include "STime.h"

#include "ProcessorList.h"
#include "DUProcessor.h"
#include "DataFiles.h"

class DUstream {
  
 public:
  
  void         streamDU();

               DUstream();
  virtual     ~DUstream();

  string        sCacheDir;

  // Here the required things for call the DU processors
  void         registerProcessor(DUProcessor *proc);
  void         unregisterProcessor(DUProcessor *proc);

  // This Needs to be public to be inherited properly?
  ProcessorList Listeners[DUProcessor::nTypes];

 private:

  virtual bool FilterData(RawTM::XMCS::DataUnit * DU, STime duTime, bool badDU);
  virtual void ProcessData(RawTM::XMCS::DataUnit * DU, unsigned char *rawdata);

  unsigned int 	lastSequenceCount;
  STime		lastDUTime;

  FILE          * pRawFile;

};	

#endif
