// CRx17  jcv 29-Jun-09 Original new duproc design 

#ifndef DUWRITER_H
#define DUWRITER_H

#include <string>
#include <utility>

#include "STime.h"

#include "ProcessorList.h"
#include "DUProcessor.h"
#include "DataFiles.h"
#include "DUStream.h"

class DUwriter : public DUstream {
  
 public:
  
               DUwriter();
  virtual      ~DUwriter();

 private:

  virtual void readFilterFile(string sFilename, FilterInfo * AppliedFilters);
  virtual bool FilterData(RawTM::XMCS::DataUnit * DU, STime duTime, bool badDU);
  virtual void ProcessData(RawTM::XMCS::DataUnit * DU, unsigned char *rawdata);

  FILE          * pOutFile;

  STime		startTime;
  STime		stopTime;

  struct        FilterInfo AppliedFilterInfo;
  bool          bAppliedFilter;

  bool          bWriteBadData;

};	

#endif
