#include <stdlib.h>
#include "ProcessorList.h"

ProcessorList::ProcessorList() {
  nProcs = 0;
}

void ProcessorList::addProcessor(Processor *proc) {
  
  proc->setID(nProcs);
  myMap.push_back(proc);
  nProcs++;
  
}

void ProcessorList::removeProcessor(Processor *proc) {
  
  for (procIter it = myMap.begin(); 
       it != myMap.end();
       it++) {
    
    Processor *p = (Processor *)(*it);

    if (p->getID() == proc->getID()) {
      myMap.erase(it);
      nProcs--;
      break;
    }
  }

}

procMap ProcessorList::getMap() {

  return myMap;

}
