#ifndef TIMEGUESS_H
#define TIMEGUESS_H

// SPRx16 jcv 19-May-09 Migration of CRH heritage

#define VTMZZ_NO_DFH_TIME_LOGICAL       "VTMZZ_NOOBTPKTS_FL"

/* Maximum number of packets without timestamp in DFH */
#define VTMZZ_MAX_NO_DFH_TIME_PACKETS   2000 

/* Format of line in config file */
#define VTMZZ_NO_DFH_TIME_PKTS_FMT      "TYPE=%hi SUBTYPE=%hi APID=%hi"

/* Structure to hold packets no timestamps in DFH */

typedef struct                               
{
   union
   {
      long int         iPktID;
      struct
      {
         char    cSubtype;
         char    cType;
         short    siAPID;
      }  rPktID;
   } uMap;
}  VTMZZ_TNODFHTIME;

#endif
