#ifndef DATAFILES_H
#define DATAFILES_H

#include "Directory.h"
#include <vector>

#include "STime.h"


class DataFiles {

 public:
  
  DataFiles(string remote, string local, bool s2k = false);

  // Methods   
  std::vector<string> localDataFiles(STime start, STime stop);
  std::vector<string> remoteDataFiles(STime start, STime stop);

  string getDirectory();


 private:

  // fields
  string              remoteURL;
  Directory           localDirectory;
  bool                isS2k;

  string              getLocalFilename(STime time);

  string              getRemoteFilename(STime time);

  STime               whichTime(STime time);
  

};

#endif
