// CRx15    jcv           tmproc able to filter by APID-Type-Subtype
// SPRx17   jcv  8-Jun-09 Additional DU removal based in DU type

#ifndef FILTERUNIT_H
#define FILTERUNIT_H

#include "STime.h"
#include "Utils.h"

#include <iostream>
#include <fstream>


    struct FilterInfo {

          // DIRECTIVE-A Filter by APID-Type-SID  etc...
          bool bFilterRequired;
	  STime FilterStart;
	  STime FilterEnd;

	  unsigned int	FilterAPID;
	  unsigned int	FilterType;
	  unsigned int	FilterSubType;
	  unsigned int	FilterSID;
          string   FilterMask;

          //FILE * pPacketFile;
          ofstream ofsPacketFile;

          // DIRECTIVE-B Remove certain DU's 
          bool bRemoveRequired;
          STime RemoveStart;
          STime RemoveEnd;
          string KeepDUTypes;

    };

#endif
