// CRx18  jcv 07-Jul-09 Modified for having DFH guessing capabilities
// CRx18b jcv 08-Jul-09 Refinements for SID treatment

#ifndef PACKETCONSUMER_H
#define PACKETCONSUMER_H

#include "DataDefinition.h"


class PacketConsumer {

 public:

  virtual bool acceptPacket(RawTM::XMM::PacketHeader &hdr, RawTM::XMM::DataFieldHeader &dfh) = 0;
  virtual void processPacket(RawTM::XMM::Packet &pkt, STime &time) = 0;

  // NEW CRx18
  virtual bool hasTimePacket(RawTM::XMM::Packet &pkt) = 0; 
  virtual bool willacceptPacket(RawTM::XMM::PacketHeader &hdr, RawTM::XMM::DataFieldHeader &dfh, unsigned char rawSID) = 0;
 
};


#endif

