#ifndef PROCESSORLIST_H
#define PROCESSORLIST_H

#include <vector>

#include "Processor.h"


typedef std::vector<Processor *> procMap;
typedef std::vector<Processor *>::iterator procIter;

class ProcessorList : public procMap {

 public:

  ProcessorList();

  void addProcessor(Processor *proc);
  void removeProcessor(Processor *proc);

  procMap getMap();
  
 private:	
  procMap myMap;
  int nProcs;
  
};

#endif
